> For the complete documentation index, see [llms.txt](https://docs.graspil.com/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.graspil.com/en/api/get-data-by-start-token.md).

# Getting data by start token

This method is used to retrieve user data associated with a start token.

When using the script that transfers data from a website to a bot, or when using redirect links, a unique token is generated and various data is attached to it (UTM tags, custom fields, IP address, etc.)

This token is passed in the `start` parameter when the bot is launched, for example: `https://t.me/graspil_bot?start=bai38kal`

If you need to retrieve the data associated with this token when the bot is launched, you can use the method described below:

## Retrieving data

<mark style="color:green;">`GET`</mark> `/v1/get-data-by-start-token?token={token}`

`{token}` - replace this with your token, which was passed in the `start` parameter

#### Response

{% tabs %}
{% tab title="200" %}

```json
{
    "ok": true,
    "data": {
        "data": {
            "ip": "1.1.1.1",
            "gmt": 1,
            "utm": [
                "source": "test"
            ],
            "params": {
                "my_field": "on"
            }
        },
        "date": "2025-10-16 21:04:11",
        "host": "https://graspil.com"
    }
}
```

{% endtab %}

{% tab title="404" %}

```json
{
    "ok": false,
    "error_code": 404,
    "description": "Not Found"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.graspil.com/en/api/get-data-by-start-token.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
